\name{setOptionPdfViewer}
\alias{setOptionPdfViewer}
\title{A function to set the PDF viewer option}
\description{
  Will set the user's \code{pdfViewer} option, either by determining it
  automatically or specified by the user.
}
\usage{
setOptionPdfViewer(viewer, verbose=FALSE)
}
\arguments{
  \item{viewer}{A file path to a working PDF viewer application}
  \item{verbose}{Outputs extra diagnostics}
}
\details{
  If the \code{viewer} argument is given, the option is set to this.
  Otherwise, the system will attempt to locate a PDF viewer and set the
  option to this.

  Currently, the option is "pdfViewer", and located in the "BioC"
  option list (BioC$Base$pdfViewer).
}
\value{
  TRUE on success, FALSE on failure
}
\author{Jeff Gentry}
\seealso{\code{\link{openPDF}}}

\examples{
   setOptionPdfViewer()
}
\keyword{utilities}
